
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Clients</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Réservations
              </li>
              <li class="breadcrumb-item active">Liste des Clients
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>

        <div class="section section-data-tables">

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des Clients</h4>

    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Nom </th>
                <th>Prénom</th>
                <th>Cin</th>
                <th>Date de Naissance</th>
                <th>Ville</th>
                <th>Code postale</th>
                <th>Numéro Tel</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let c of clients; index as i;">
                

                <td>{{c.nom}}</td>
                <td>{{c.prenom}}</td>
                <td>{{c.cin}}</td>
                <td>{{c.datenaissance}}</td>
                <td>{{c.ville}}</td>
                <td>{{c.codepostale}}</td>
                <td>{{c.tel1}}</td>
                
                <td>
                  <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                  <i class="material-icons">arrow_drop_down</i>
                </a>
                <ul id='dropdown{{i}}' class='dropdown-content' >
                <li><a  class="modal-trigger" (click)="getOne(c.id)" href="#modal2"> Modifier</a></li>
                <li><a class="modal-trigger" (click)="delete(c.id)"> Supprimper</a></li>
               
                </ul>
              </td>
                
              
              
             
          </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
</div>
</div>
</div>
</div>

<!-- END RIGHT SIDEBAR NAV -->
<div id="modal1" class="modal" style=" width:900px ;">
    <form #f="ngForm" (ngSubmit)="save(f.value)">
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h6>Ajouter Clients
    </h6>
    
    <div class="row">
     <div class="input-field col m4 s4">
        <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="client.nom" required>
         <label for="nbrpersonne">Nom*</label>
         <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

     </div>
     <div class="input-field col m4 s4">
         <input type="text" class="validate" name="prenom" #prenom="ngModel" [(ngModel)]="client.prenom" required>
         <label for="nbrpersonne">Prénom*</label>
         <small  class="errorTxt1" *ngIf="prenom.touched  &&  prenom.invalid" ><div id="uname-error" class="error">saisir votre prenom</div></small>

     </div>
     <div class="input-field col m4 s4">
      <input type="Text" class="validate" name="cin" #cin="ngModel" [(ngModel)]="client.cin" required>
      <label for="nbrpersonne">cin</label>
      <small  class="errorTxt1" *ngIf="cin.touched  &&  cin.invalid" ><div id="uname-error" class="error">saisir votre cin</div></small>

  </div>
   </div>

  

   <div class="row">
   

    <div class="input-field col m4 s4">
        <input type="text" class="validate" name="ville" #ville="ngModel" [(ngModel)]="client.ville" required>
        <label for="nbrporte">Ville</label>
        <small  class="errorTxt1" *ngIf="ville.touched  &&  ville.invalid" ><div id="uname-error" class="error">saisir votre ville</div></small>

    </div>
    <div class="input-field col m4 s4">
        <input type="Text" class="validate" name="codepostale" #codepostale="ngModel" [(ngModel)]="client.codepostale" required>
        <label for="nbrpersonne">code postale</label>
        <small  class="errorTxt1" *ngIf="codepostale.touched  &&  codepostale.invalid" ><div id="uname-error" class="error">saisir votre codepostale</div></small>

    </div>
    <div class="input-field col m4 s4">
      <input type="text" class="validate"  name="tel1" #tel1="ngModel" [(ngModel)]="client.tel1" required>
      <label for="nbrporte">numéro Tel</label>
      <small  class="errorTxt1" *ngIf="tel1.touched  &&  tel1.invalid" ><div id="uname-error" class="error">saisir votre tel1</div></small>
    </div>
  </div>
  <div class="row">
   
    <div class="input-field col m4 s4">
        <input type="text" class="validate"  name="tel2" #tel2="ngModel" [(ngModel)]="client.tel2" required>
        <label for="nbrpersonne">numero tel2</label>
        <small  class="errorTxt1" *ngIf="tel2.touched  &&  tel2.invalid" ><div id="uname-error" class="error">saisir votre tel1</div></small>

    </div>
    <div class="input-field col m4 s4">
      <input type="date" class="validate"  name="datenaissance" #datenaissance="ngModel" [(ngModel)]="client.datenaissance" required >
      <label for="nbrpersonne">Date de naissance</label>
      <small  class="errorTxt1" *ngIf="datenaissance.touched  &&  datenaissance.invalid" ><div id="uname-error" class="error">saisir votre datenaissance</div></small>

  </div>
    <div class="input-field col m4 s4">
      <input type="email" class="validate"  name="email" #email="ngModel" [(ngModel)]="client.email" required >
      <label for="nbrporte">email</label>
      <small  class="errorTxt1" *ngIf="email.touched  &&  email.invalid" ><div id="uname-error" class="error">saisir votre email</div></small>

  </div>
 
    
  </div>
  

    <div class="modal-footer">
        <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>
     

</div>

</form>
</div>



<div id="modal2" class="modal" style=" width:900px ;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
<div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
  <h6>Modifier Clients
  </h6>
  
  <div class="row">
   <div class="input-field col m4 s4">
    <label for="nbrpersonne" class="active">Nom </label><br/>
      <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="client.nom" required>
   </div>
   <div class="input-field col m4 s4">
    <label for="nbrpersonne">Prénom</label><br/>
       <input type="text" class="validate" name="prenom" #prenom="ngModel" [(ngModel)]="client.prenom" required>
   </div>
   <div class="input-field col m4 s4">
    <label for="nbrpersonne">cin</label><br/>
    <input type="Text" class="validate" name="cin" #cin="ngModel" [(ngModel)]="client.cin" required>
</div>
 </div>



 <div class="row">
 

  <div class="input-field col m4 s4">
    <label for="nbrporte">Ville</label><br/>
      <input type="text" class="validate" name="ville" #ville="ngModel" [(ngModel)]="client.ville" required>
  </div>
  <div class="input-field col m4 s4">
    <label for="nbrpersonne">code postale</label><br/>
      <input type="Text" class="validate" name="codepostale" #codepostale="ngModel" [(ngModel)]="client.codepostale" required>
  </div>
  <div class="input-field col m4 s4">
    <label for="nbrporte">numéro Tel</label><br/>
    <input type="text" class="validate" name="tel1" #tel1="ngModel" [(ngModel)]="client.tel1" required>
</div>
</div>
<div class="row">
 
  <div class="input-field col m4 s4">
    <label for="nbrpersonne">numero tel2</label><br/>
      <input type="text" class="validate" name="tel2" #tel2="ngModel" [(ngModel)]="client.tel2" required>
  </div>
  <div class="input-field col m4 s4">
    <label for="nbrpersonne">Date de naissance</label><br/>
    <input type="date" class="validate" name="datenaissance" #datenaissance="ngModel" [(ngModel)]="client.datenaissance" required >
</div>
  <div class="input-field col m4 s4">
    <label for="nbrporte">email</label><br/>
    <input type="email" class="validate" name="email" #email="ngModel" [(ngModel)]="client.email" required >
</div>

  
</div>


  <div class="modal-footer">
      <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
         <i class="material-icons right">send</i>
       </button>
   </div>
   

</div>

</form>
</div>




